﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Services;

namespace Services.Migrations
{
    [DbContext(typeof(Repository))]
    [Migration("20190409112849_First")]
    partial class First
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.3-servicing-35854")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("Entity.Commessa", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Codice")
                        .HasColumnName("Codice");

                    b.Property<string>("Nome")
                        .HasColumnName("Nome");

                    b.Property<string>("NomeCliente")
                        .HasColumnName("NomeCliente");

                    b.HasKey("Id");

                    b.ToTable("Commesse");
                });

            modelBuilder.Entity("Entity.IntervalloTemporale", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("CommessaId")
                        .HasColumnName("CommessaId");

                    b.Property<DateTime?>("DataFine")
                        .HasColumnName("DataFine");

                    b.Property<DateTime>("DataInizio")
                        .HasColumnName("DataInizio");

                    b.Property<int?>("UtenteId")
                        .HasColumnName("UtenteId");

                    b.HasKey("Id");

                    b.HasIndex("CommessaId");

                    b.HasIndex("UtenteId");

                    b.ToTable("IntervalliTemporali");
                });

            modelBuilder.Entity("Entity.Utente", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Cognome")
                        .HasColumnName("Cognome");

                    b.Property<string>("Nome")
                        .HasColumnName("Nome");

                    b.Property<string>("NomeArea")
                        .HasColumnName("NomeArea");

                    b.HasKey("Id");

                    b.ToTable("Utenti");
                });

            modelBuilder.Entity("Entity.IntervalloTemporale", b =>
                {
                    b.HasOne("Entity.Commessa", "Commessa")
                        .WithMany()
                        .HasForeignKey("CommessaId");

                    b.HasOne("Entity.Utente", "Utente")
                        .WithMany()
                        .HasForeignKey("UtenteId");
                });
#pragma warning restore 612, 618
        }
    }
}
